## org.eclipse.datatools.connectivity.oda.design
Interface FilterExpressionType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface FilterExpressionType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Filter Expression Type'. Identifies a type of custom filter expression contributed by an extension of the org.eclipse.datatools.connectivity.oda.dynamicResultSet extension point.

The following features are supported:

- `Declaring Extension Id`
- `Id`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getFilterExpressionType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDeclaringExtensionId()` Returns the value of the 'Declaring Extension Id' attribute.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute.
`void` `setDeclaringExtensionId(java.lang.String value)` Sets the value of the '`Declaring Extension Id`' attribute.
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDeclaringExtensionId

    java.lang.String getDeclaringExtensionId()

  Returns the value of the 'Declaring Extension Id' attribute. The id of the ODA dynamicResultSet extension that declares this type of filter expression.

  Returns:
    the value of the 'Declaring Extension Id' attribute.
  See Also:
    `setDeclaringExtensionId(String)`, `DesignPackage.getFilterExpressionType_DeclaringExtensionId()`

### setDeclaringExtensionId

    void setDeclaringExtensionId(java.lang.String value)

  Sets the value of the '`Declaring Extension Id`' attribute.

  Parameters:
    `value` - the new value of the 'Declaring Extension Id' attribute.
  See Also:
    `getDeclaringExtensionId()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute. The id that uniquely identifies a custom expression type within an ODA dynamicResultSet extension.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `DesignPackage.getFilterExpressionType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`